package StackTrace;

use strict;
use Exporter;
use vars qw(@ISA @EXPORT);

@ISA=qw(Exporter);
@EXPORT=qw(printStackTrace);

sub printStackTrace() {
  for(my $i=0; defined caller($i); $i++) {
    my @caller = caller($i);
    print "\t$caller[1]:$caller[2] ($caller[3])\n";
  }
}
